#include<iostream>
using namespace std;
int main ()
{
    long long N;
    cin>>N;
    if(N==1)
    {
        cout<<"-1";
    }
    else
    {
        if(N%2==0)
        {
            for(int i=0; i<N/2; i++)
            {
                cout<<"1";
            }
        }
        else
        {
            for(int i=0; i<N/3; i++)
            {
                cout<<"7";
            }
            cout<<"1";
        }
    }
    cout<<endl;
    return 0;
}
